<script setup>
const props = defineProps(['content']);

const name = ref('');

onMounted(() => {
    name.value = props.content || 'No content';
});
</script>

<template>
<h2>This is a {{name}} widget</h2>
</template>